-- name: CreateFuncao :one
INSERT INTO funcoes_profissionais (nome)
VALUES ($1)
RETURNING *;

-- name: ListFuncoes :many
SELECT * FROM funcoes_profissionais
ORDER BY nome;

-- name: GetFuncaoByID :one
SELECT * FROM funcoes_profissionais
WHERE id = $1 LIMIT 1;

-- name: UpdateFuncao :one
UPDATE funcoes_profissionais
SET nome = $2, atualizado_em = NOW()
WHERE id = $1
RETURNING *;

-- name: DeleteFuncao :exec
DELETE FROM funcoes_profissionais
WHERE id = $1;
